Loading...
Searching...
No Matches
ojph::line_buf Class Reference

`#include <ojph_mem.h>`

## Public Types

enum | : ui32 { LFT_UNDEFINED = 0x00 , LFT_BYTE = 0x01 , LFT_16BIT = 0x02 , LFT_32BIT = 0x04 , LFT_64BIT = 0x08 , LFT_INTEGER = 0x10 , LFT_SIZE_MASK = 0x0F }

## Public Member Functions

| line_buf ()
template<typename T>
void | wrap (T *buffer, size_t num_ele, ui32 pre_size)
template<>
void | wrap (si32 *buffer, size_t num_ele, ui32 pre_size)
template<>
void | wrap (float *buffer, size_t num_ele, ui32 pre_size)
template<>
void | wrap (si64 *buffer, size_t num_ele, ui32 pre_size)

## Public Attributes

size_t | size
ui32 | pre_size
ui32 | flags
union { |
si32 * i32 |
si64 * i64 |
float * f32 |
void * p |
}; |

## Detailed Description

Definition at line 160 of file ojph_mem.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum : ui32

Enumerator
LFT_UNDEFINED |
LFT_BYTE |
LFT_16BIT |
LFT_32BIT |
LFT_64BIT |
LFT_INTEGER |
LFT_SIZE_MASK |

Definition at line 163 of file ojph_mem.h.

## Constructor & Destructor Documentation

## line_buf()

ojph::line_buf::line_buf | ( |  | ) |

inline

Definition at line 176 of file ojph_mem.h.

References flags, i32, LFT_UNDEFINED, pre_size, and size.

## Member Function Documentation

## wrap() [1/4]

template<>

void ojph::line_buf::wrap | ( | float * | buffer,
|  | size_t | num_ele,
|  | ui32 | pre_size )

Definition at line 64 of file ojph_mem.cpp.

References f32, flags, LFT_32BIT, pre_size, and size.

## wrap() [2/4]

template<>

void ojph::line_buf::wrap | ( | si32 * | buffer,
|  | size_t | num_ele,
|  | ui32 | pre_size )

Definition at line 54 of file ojph_mem.cpp.

References flags, i32, LFT_32BIT, LFT_INTEGER, pre_size, and size.

## wrap() [3/4]

template<>

void ojph::line_buf::wrap | ( | si64 * | buffer,
|  | size_t | num_ele,
|  | ui32 | pre_size )

Definition at line 74 of file ojph_mem.cpp.

References flags, i64, LFT_64BIT, LFT_INTEGER, pre_size, and size.

## wrap() [4/4]

template<typename T>

void ojph::line_buf::wrap | ( | T * | buffer,
|  | size_t | num_ele,
|  | ui32 | pre_size )

References pre_size.

Referenced by load_ppm(), and load_yuv().

## Member Data Documentation

## [union]

union { ... } ojph::line_buf

## f32

float* ojph::line_buf::f32

Definition at line 187 of file ojph_mem.h.

Referenced by ojph::local::gen_irv_horz_ana(), ojph::local::gen_irv_horz_syn(), ojph::local::gen_irv_vert_step(), ojph::local::gen_irv_vert_times_K(), ojph::local::local_gen_irv_convert_to_float(), ojph::local::local_gen_irv_convert_to_integer(), ojph::local::local_wasm_irv_convert_to_float(), ojph::local::local_wasm_irv_convert_to_integer(), ojph::pfm_in::read(), ojph::local::wasm_irv_horz_ana(), ojph::local::wasm_irv_horz_syn(), ojph::local::wasm_irv_vert_step(), ojph::local::wasm_irv_vert_times_K(), ojph::local::wasm_rev_horz_ana32(), ojph::local::wasm_rev_horz_syn32(), wrap(), and ojph::pfm_out::write().

## flags

ui32 ojph::line_buf::flags

Definition at line 183 of file ojph_mem.h.

Referenced by ojph::local::subband::exchange_buf(), ojph::local::gen_rct_backward(), ojph::local::gen_rct_forward(), ojph::local::gen_rev_convert(), ojph::local::gen_rev_convert_nlt_type3(), ojph::local::gen_rev_horz_ana(), ojph::local::gen_rev_horz_syn(), ojph::local::gen_rev_vert_step(), line_buf(), ojph::local::local_gen_irv_convert_to_float(), ojph::local::local_gen_irv_convert_to_integer(), ojph::local::local_wasm_irv_convert_to_float(), ojph::local::local_wasm_irv_convert_to_integer(), ojph::local::codeblock::pull_line(), ojph::local::codeblock::push(), ojph::local::wasm_rct_backward(), ojph::local::wasm_rct_forward(), ojph::local::wasm_rev_convert(), ojph::local::wasm_rev_convert_nlt_type3(), ojph::local::wasm_rev_horz_ana(), ojph::local::wasm_rev_horz_syn(), ojph::local::wasm_rev_vert_step(), wrap(), wrap(), and wrap().

## i32

si32* ojph::line_buf::i32

Definition at line 185 of file ojph_mem.h.

Referenced by cpp_pull_j2c_line(), ojph::gen_cvrt_32b1c_to_16ub1c_be(), ojph::gen_cvrt_32b1c_to_16ub1c_le(), ojph::gen_cvrt_32b1c_to_8ub1c(), ojph::gen_cvrt_32b3c_to_16ub3c_be(), ojph::gen_cvrt_32b3c_to_16ub3c_le(), ojph::gen_cvrt_32b3c_to_8ub3c(), ojph::local::gen_rct_backward(), ojph::local::gen_rct_forward(), ojph::local::gen_rev_convert(), ojph::local::gen_rev_convert_nlt_type3(), ojph::local::gen_rev_horz_ana32(), ojph::local::gen_rev_horz_syn32(), ojph::local::gen_rev_vert_step32(), line_buf(), LLVMFuzzerTestOneInput(), load_ppm(), load_yuv(), ojph::local::local_gen_irv_convert_to_float(), ojph::local::local_gen_irv_convert_to_integer(), ojph::local::local_wasm_irv_convert_to_float(), ojph::local::local_wasm_irv_convert_to_integer(), ojph::local::codeblock::pull_line(), ojph::local::codeblock::push(), ojph::dpx_in::read(), ojph::ppm_in::read(), ojph::raw_in::read(), ojph::yuv_in::read(), ojph::local::wasm_rct_backward(), ojph::local::wasm_rct_forward(), ojph::local::wasm_rev_convert(), ojph::local::wasm_rev_convert_nlt_type3(), ojph::local::wasm_rev_horz_ana32(), ojph::local::wasm_rev_horz_syn32(), ojph::local::wasm_rev_vert_step32(), wrap(), ojph::raw_out::write(), and ojph::yuv_out::write().

## i64

si64* ojph::line_buf::i64

Definition at line 186 of file ojph_mem.h.

Referenced by ojph::local::gen_rct_backward(), ojph::local::gen_rct_forward(), ojph::local::gen_rev_convert(), ojph::local::gen_rev_convert_nlt_type3(), ojph::local::gen_rev_horz_ana64(), ojph::local::gen_rev_horz_syn64(), ojph::local::gen_rev_vert_step64(), ojph::local::codeblock::pull_line(), ojph::local::codeblock::push(), ojph::local::wasm_rct_backward(), ojph::local::wasm_rct_forward(), ojph::local::wasm_rev_convert(), ojph::local::wasm_rev_convert_nlt_type3(), ojph::local::wasm_rev_horz_ana64(), ojph::local::wasm_rev_horz_syn64(), ojph::local::wasm_rev_vert_step64(), and wrap().

## p

void* ojph::line_buf::p

Definition at line 188 of file ojph_mem.h.

Referenced by ojph::local::subband::exchange_buf(), ojph::local::wasm_rev_horz_ana64(), and ojph::local::wasm_rev_horz_syn64().

## pre_size

ui32 ojph::line_buf::pre_size

Definition at line 182 of file ojph_mem.h.

Referenced by ojph::local::subband::exchange_buf(), line_buf(), wrap(), wrap(), wrap(), and wrap().

## size

size_t ojph::line_buf::size

Definition at line 181 of file ojph_mem.h.

Referenced by ojph::local::subband::exchange_buf(), line_buf(), ojph::dpx_in::read(), ojph::pfm_in::read(), ojph::ppm_in::read(), wrap(), wrap(), and wrap().

The documentation for this class was generated from the following files:

- /build/openjph-z1hyMm/openjph-0.28.1/src/core/openjph/ojph_mem.h
- /build/openjph-z1hyMm/openjph-0.28.1/src/core/others/ojph_mem.cpp